Page MenuHomePhabricator

Growth team - Mentor audit
Closed, ResolvedPublic

Description

Ambassadors to check the mentors activity and tell inactive mentors that they are going to be removed.

  • Step 1: look through all the list of mentors, and note down whether they are (a) active on wiki, (b) answering newbie questions
  • Step 2: if inactive on wiki, just remove from list of mentors.
  • Step 3: if active, but not answering newbies, ask why and whether they want to still be a mentor. If no answer from these people, remove from list.
  • Step 4: if they are answering newbies, thank them or give them a barnstar!

When done, please report the number of inactive mentors so that we can think about recruiting more.

  • Arabic
  • Czech
  • Korean
  • Vietnamese

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 20 2020, 9:55 AM
Trizek-WMF triaged this task as Medium priority.Jan 20 2020, 9:55 AM
Dyolf77_WMF moved this task from Backlog to In progress on the User-Dyolf77 board.
Dyolf77_WMF edited subscribers, added: Dyolf77_WMF; removed: Dyolf77.
PPham added a comment.EditedJan 20 2020, 3:48 PM

After sending out mass-messages asking experienced editors to become new mentors as @Trizek-WMF and I have agreed to do, we have 2 more editors registering to be mentors. So now Vietnamese community have a total of 7 active mentors.

revi moved this task from Incoming to Doing on the User-revi board.Jan 20 2020, 4:34 PM

Care to define the definition of Activity?

I can think of two definitions:

  • Activity as in general activity (including actions outside mentoring)
  • Activity as in mentoring activity (excluding actions outside mentoring)

Also, how long does it take people to be considered inactive?

My checking will be detailed on this spreadsheet.

Care to define the definition of Activity?

Activity with newcomers.

If they are not taking care of newcomers while they have a more general activity, it is as much an issue as them being inactive. We need to know why they are not taking care of newcomers - we aren't judging them, we just need to know why they are not responding. Maybe they need help? Maybe they don't feel being legit? Maybe they haven't understood why people are messaging them?

Also, how long does it take people to be considered inactive?

Very good question. I would focus on people who said that they retire, or who are not active since 1 month with no clue about their possible returning.

Don't forget to thank people who are active. Let's encourage people! :)

Trizek-WMF updated the task description. (Show Details)Jan 22 2020, 3:14 PM

Hello, since I'm too lazy to do the auditing manually, I wrote a small script for that (https://github.com/urbanecm/growth-mentorActivityAudit). If used at non-Czech wikis, it would need some tweaks (detection for questions at line 26 and signatures at line 11), but that shouldn't be too hard.

My results are posted at https://docs.google.com/spreadsheets/d/1JLWiyRgmgRpvCpiZoBMd_Iv3X3AatEaojofEUPurhj0/edit#gid=0. For interpreting the results, it's necessary to know the data are valid for their current talk pages, many questions are archived now.

kowiki

  • One user generally inactive, removed.
  • Two users are not responding to questions:
    • 책읽는달팽 (R) is not responding to the question left @ 2019-11-28 and onwards. Had not edited for a while, except 3 edits on January. Should this be considered for immediate removal or followup?
    • 호로조 (H) has not edited since end of 2019, and question dated 2020-01-10 is awaiting response. Will follow up.
  • Otherwise they had not received a question (because they recently signed up) or they are responding in a resonable timeframe.
revi moved this task from Doing to Closed on the User-revi board.Mon, Jan 27, 3:43 PM
Trizek-WMF updated the task description. (Show Details)Tue, Jan 28, 4:23 PM
Dyolf77_WMF moved this task from In progress to Closed on the User-Dyolf77 board.Tue, Jan 28, 4:25 PM
Trizek-WMF closed this task as Resolved.Wed, Jan 29, 1:47 PM
Trizek-WMF updated the task description. (Show Details)